> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company

> Read basic company data



## OpenAPI

````yaml get /employer/company
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /employer/company:
    get:
      tags:
        - Organization
      summary: Company
      description: Read basic company data
      operationId: get-company
      parameters:
        - name: entity_ids
          in: query
          required: false
          description: The entity IDs to specify which entities' data to access.
          schema:
            type: array
            items:
              type: string
              format: uuid
            minItems: 1
            maxItems: 1
            example:
              - 550e8400-e29b-41d4-a716-446655440000
          style: form
          explode: true
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: Basic company data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanyResponse'
              examples:
                Success:
                  value:
                    id: 514aa2b7-898f-4ce7-bc05-c2fe993713e8
                    legal_name: Acme, Inc.
                    entity:
                      type: corporation
                      subtype: s_corporation
                    ein: 12-3456789
                    primary_email: founders@acme.com
                    primary_phone_number: '+14475678901'
                    departments:
                      - name: Engineering
                        parent: null
                      - name: Platform
                        parent:
                          name: Engineering
                    locations:
                      - line1: 628 Bear Ave
                        line2: Apt A
                        city: Schenectady
                        state: NY
                        postal_code: '94301'
                        country: US
                    accounts:
                      - routing_number: '123456789'
                        account_name: CHECKING ACCOUNT
                        institution_name: BANK OF AMERICA, N.A.
                        account_type: checking
                        account_number: '98765432'
        '202':
          description: >-
            The request has been accepted for processing, but data is not yet
            available
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AcceptedResponse'
              examples:
                DataSyncInProgress:
                  value:
                    code: 202
                    name: sync_in_progress
                    finch_code: data_sync_in_progress
                    message: >-
                      The data being requested is being fetched. Please check
                      back later.
                AuthorizationPending:
                  value:
                    code: 202
                    name: authorization_pending
                    finch_code: pending
                    message: Authorization to this company's data is pending
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Finch from '@tryfinch/finch-api';

            const client = new Finch({
              accessToken: 'My Access Token',
            });

            const company = await client.hris.company.retrieve();

            console.log(company.id);
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch(
                access_token="My Access Token",
            )
            company = client.hris.company.retrieve()
            print(company.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n\t\"github.com/Finch-API/finch-api-go/option\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient(\n\t\toption.WithAccessToken(\"My Access Token\"),\n\t)\n\tcompany, err := client.HRIS.Company.Get(context.TODO(), finchgo.HRISCompanyGetParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", company.ID)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.Company;
            import com.tryfinch.api.models.HrisCompanyRetrieveParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.builder()
                        .fromEnv()
                        .accessToken("My Access Token")
                        .build();

                    Company company = client.hris().company().retrieve();
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.Company
            import com.tryfinch.api.models.HrisCompanyRetrieveParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.builder()
                    .fromEnv()
                    .accessToken("My Access Token")
                    .build()

                val company: Company = client.hris().company().retrieve()
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new(access_token: "My Access Token")

            company = finch.hris.company.retrieve

            puts(company)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetCompanyResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: A stable Finch `id` (UUID v4) for the company.
        legal_name:
          type: string
          description: The legal name of the company.
          nullable: true
        entity:
          type: object
          nullable: true
          properties:
            type:
              type: string
              description: The tax payer type of the company.
              enum:
                - llc
                - lp
                - corporation
                - sole_proprietor
                - non_profit
                - partnership
                - cooperative
                - null
              nullable: true
            subtype:
              type: string
              description: The tax payer subtype of the company.
              enum:
                - s_corporation
                - c_corporation
                - b_corporation
                - null
              nullable: true
          required:
            - type
            - subtype
          description: The entity type object.
        primary_email:
          type: string
          description: The email of the main administrator on the account.
          nullable: true
          format: email
        primary_phone_number:
          type: string
          description: >-
            The phone number of the main administrator on the account. Format:
            E.164, with extension where applicable, e.g. `+NNNNNNNNNNN
            xExtension`
          nullable: true
        departments:
          type: array
          nullable: true
          items:
            type: object
            nullable: true
            properties:
              name:
                type: string
                description: The department name.
                nullable: true
              parent:
                type: object
                nullable: true
                properties:
                  name:
                    type: string
                    description: The parent department's name.
                    nullable: true
                required:
                  - name
                description: The parent department, if present.
            required:
              - name
              - parent
          description: The array of company departments.
        ein:
          type: string
          description: The employer identification number.
          nullable: true
        locations:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Location'
        accounts:
          type: array
          nullable: true
          items:
            type: object
            properties:
              routing_number:
                type: string
                description: >-
                  A nine-digit code that's based on the U.S. Bank location where
                  your account was opened.
                nullable: true
              account_name:
                type: string
                description: The name of the bank associated in the payroll/HRIS system.
                nullable: true
              institution_name:
                type: string
                description: Name of the banking institution.
                nullable: true
              account_type:
                type: string
                description: The type of bank account.
                enum:
                  - checking
                  - savings
                  - null
                nullable: true
              account_number:
                type: string
                description: 10-12 digit number to specify the bank account
                nullable: true
            required:
              - routing_number
              - account_name
              - institution_name
              - account_type
              - account_number
          description: >-
            An array of bank account objects associated with the payroll/HRIS
            system.
      required:
        - id
        - legal_name
        - entity
        - primary_email
        - primary_phone_number
        - departments
        - ein
        - locations
        - accounts
      title: GetCompany
    AcceptedResponse:
      type: object
      properties:
        code:
          type: number
          default: 202
        name:
          type: string
        finch_code:
          type: string
        message:
          type: string
      required:
        - name
        - finch_code
        - message
    Location:
      type: object
      nullable: true
      properties:
        line1:
          type: string
          nullable: true
          description: Street address or PO box.
        line2:
          type: string
          nullable: true
          description: Apartment, suite, unit, or building.
        city:
          type: string
          nullable: true
          description: City, district, suburb, town, or village.
        state:
          type: string
          nullable: true
          description: The state code.
        postal_code:
          type: string
          nullable: true
          description: The postal code or zip code.
        country:
          type: string
          nullable: true
          description: The 2-letter ISO 3166 country code.
        name:
          type: string
          nullable: true
        source_id:
          type: string
          nullable: true
      required:
        - line1
        - line2
        - city
        - state
        - postal_code
        - country
      description: ''
      title: Location
      x-tags:
        - Models
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````